package
{
	import flash.utils.Dictionary;
	import flash.geom.Point;

	public class Main extends flash.display.MovieClip
	{
		public var modSettingsLoader:Class;
		public var lProxy:Class;
		public var her:*;
		public var loader:*;

		public function initl(l) : void
		{
			var msl = new modSettingsLoader("lookLock", settingsLoaded);
			l.unloadMod();
		}
		
		private function settingsLoaded(e) : void
		{
			var pointX:int = 600;
			var pointY:int = 300;
			var hidePassout:Boolean = false;
			var passOutFactor_tmp = 0;

			var dict:Dictionary = e.settings;
			if(dict["pointX"] != null) pointX = int(dict["pointX"]);
			if(dict["pointY"] != null) pointY = int(dict["pointY"]);
			if(dict["hidePassout"] != null) hidePassout = (dict["hidePassout"] == 1);

			var lp = lProxy.createProxy(her, "lookAt");
			var p = new Point(pointX, pointY);
			var dir = her.currentLookTarget;

			her.lookAt(p);
			lp.hooked = false;
			if(hidePassout)
			{
				lp.addPre(function(e){
					passOutFactor_tmp = her.passOutFactor;
					her.passOutFactor = 0;
					lp.original(p); 
					}, false);

				lp.addPost(function(e){
					her.passOutFactor = passOutFactor_tmp;
					}, false);	
			}
			else lp.addPre(function(e){ lp.original(p); }, false);

			loader.registerUnloadFunction(function(){ lp.restoreProxy(); });
		}
	}
}